public class LinkedSimpleList implements SimpleList
{

	/**
	 * Inserts an object at the end of the list
	 * @param o the element to be inserted into the list
	 */
	public void add(Object o)
	{

	}
	
	/**
	 * Removes the first element of the list that is equal to o
	 * @param o the object to remove
	 */
	public void remove(Object o)
	{

	}
	
	/**
	 * Determine whether the list is empty.
	 * @return true if the list is empty
	 */
	public boolean isEmpty()
	{
		return true;
	}
	
	public String toString()
	{		
		return null;
	}			
	
	/**
	 * Obtain all of the elements in the list, as an Iterator
	 * @return an iterator over all of the elements in the list
	 */
    public java.util.Iterator iterator()
	{
		return null;
	}
	
	// inner class to implement iterator over list
	//class Elements implements java.util.Iterator
	{
		
    }

}
